JMXTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jmx.JMXTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jmx
Class JMXTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.modules.jmx.JMXTagsHandler

public class JMXTagsHandler
extends AbstractProgramElementTagsHandler

Version:
  $Revision: 1.12 $
Author:
  Jerome Bernard (jerome.bernard@xtremejava.com), Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="Jmx"
created
  31 January 2002
To do:
  attributes - XXX: Does this need to be synchronized?, ifIsGetterMethod, ifIsSetterMethod - TODO: There is a big overlap here with stuff in ejb - have a look.

Field Summary
`protected Map` | `attributes` Collection of attributes.
`protected MethodTagsHandler` | `handler` For use in extracting method names.
`protected int` | `index` For looping through indexed tags.

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`JMXTagsHandler()`

Method Summary
`String` | `constructorSignature()` Describe what the method does
`void` | `forAllIndexedConstructorParams(String template, Properties attributes)` Describe what the method does
`void` | `forAllIndexedMethodParams(String template, Properties attributes)` Describe what the method does
`protected String` | `getMBeanName(xjavadoc.XClass clazz)` Implementation of `mbeanName()`.
`void` | `ifHasAttributeDescription(String template, Properties attributes)`
`void` | `ifIsGetterMethod(String template, Properties attributes)` TODO: There is a big overlap here with stuff in ejb - have a look.
`void` | `ifIsSetterMethod(String template, Properties attributes)` TODO: There is a big overlap here with stuff in ejb - have a look.
`String` | `indexedConstructorParamValue(Properties attributes)` Describe what the method does
`String` | `indexedMethodParamValue(Properties attributes)`
`protected boolean` | `isGetterMethod()`
`protected boolean` | `isSetterMethod()`
`String` | `mbeanName()` Returns the MBean name for the current class.

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getClassNameFor, getFullClassNameFor, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected MethodTagsHandler handler

  For use in extracting method names.

### attributes

    protected Map attributes

  Collection of attributes. XXX: Does this need to be synchronized?

### index

    protected int index

  For looping through indexed tags.

Constructor Detail

### JMXTagsHandler

    public JMXTagsHandler()

Method Detail

### mbeanName

    public String mbeanName()
                     throws XDocletException

  Returns the MBean name for the current class. Looks for the name parameter in the jmx:mbean tag on the current class.

  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `getMBeanName(xjavadoc.XClass)`
  doc.tag
    type="content" description="Returns the MBean name for the current class. Looks for the name parameter in the jmx:mbean tag on the current class."

### ifIsGetterMethod

    public void ifIsGetterMethod(String template,
                                 Properties attributes)
                          throws XDocletException

  TODO: There is a big overlap here with stuff in ejb - have a look.

  Parameters:
    `template` -
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block" description="Executes the block if the current method is a getter"

### ifIsSetterMethod

    public void ifIsSetterMethod(String template,
                                 Properties attributes)
                          throws XDocletException

  TODO: There is a big overlap here with stuff in ejb - have a look.

  Parameters:
    `template` -
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block" description="Executes the block if the current method is a setter"

### ifHasAttributeDescription

    public void ifHasAttributeDescription(String template,
                                          Properties attributes)
                                   throws XDocletException

  Parameters:
    `template` -
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### forAllIndexedMethodParams

    public void forAllIndexedMethodParams(String template,
                                          Properties attributes)
                                   throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
    `attributes` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllIndexedConstructorParams

    public void forAllIndexedConstructorParams(String template,
                                               Properties attributes)
                                        throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
    `attributes` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### indexedMethodParamValue

    public String indexedMethodParamValue(Properties attributes)
                                   throws XDocletException

  Parameters:
    `attributes` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception
  To do:
    refactor common code with indexedConstructorParamValue into a private method

### indexedConstructorParamValue

    public String indexedConstructorParamValue(Properties attributes)
                                        throws XDocletException

  Describe what the method does

  Parameters:
    `attributes` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### constructorSignature

    public String constructorSignature()
                                throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### getMBeanName

    protected String getMBeanName(xjavadoc.XClass clazz)
                           throws XDocletException

  Implementation of `mbeanName()`.

  Parameters:
    `clazz` -
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception

### isGetterMethod

    protected boolean isGetterMethod()

  Returns:
    The GetterMethod value
  To do:
    (Aslak) this is very general stuff. It should be implemented higher up in the hierarchy if it isn't already done somewhere

### isSetterMethod

    protected boolean isSetterMethod()

  Returns:
    The SetterMethod value
  To do:
    (Aslak) this is very general stuff. It should be implemented higher up in the hierarchy if it isn't already done somewhere

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD